Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.xkrss
Class RevokeRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Request
oracle.security.xmlsec.xkms.xkrss.RevokeRequest`

public final class RevokeRequest
extends Request

The X-KRSS Revoke request message.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RevokeRequest(org.w3c.dom.Document owner)` Creates a new `RevokeRequest` instance.
`RevokeRequest(org.w3c.dom.Document owner, RevokeKeyBinding keyInfo)` Creates a new `RevokeRequest` instance.
`RevokeRequest(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `RevokeRequest` instance.
`RevokeRequest(org.w3c.dom.Element element)` Creates a new `RevokeRequest` instance from the given Element node.

Method Summary
`Authentication` | `getAuthentication()` Returns the `xkms:Authentication` child element for this message or `null` if none is set.
`RevokeKeyBinding` | `getKeyBinding()` Returns the `xkms:PrototypeKeyBinding` child element for this message or `null` if none is set.
`byte[]` | `getRevocationCode()` Returns the `xkms:RevocationCode` child element for this message or `null` if none is set.
`void` | `setAuthentication(Authentication authInfo)` Sets the `xkms:Authentication` child element for this message.
`void` | `setKeyBinding(RevokeKeyBinding keyInfo)` Sets the `xkms:RevokeKeyBinding` child element for this message.
`void` | `setRevocationCode(byte[] revocationCode)` Sets the `xkms:RevocationCode` child element for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Request
`addRespondWith, addResponseMechanism, getOriginalRequestID, getPendingNotificationIdentifier, getPendingNotificationMechanism, getRespondWiths, getResponseLimit, getResponseMechanisms, setOriginalRequestID, setPendingNotification, setResponseLimit`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeRequest

    public RevokeRequest(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `RevokeRequest` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the X-KRSS RevokeRequest schema.
Throws:
  `org.w3c.dom.DOMException`

### RevokeRequest

    public RevokeRequest(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Creates a new `RevokeRequest` instance.
Parameters:
  `owner` - The owner document of the new `RevokeRequest`.
Throws:
  `org.w3c.dom.DOMException`

### RevokeRequest

    public RevokeRequest(org.w3c.dom.Document owner,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Creates a new `RevokeRequest` instance.
Parameters:
  `owner` - The owner document of the new `RevokeRequest`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

### RevokeRequest

    public RevokeRequest(org.w3c.dom.Document owner,
                         RevokeKeyBinding keyInfo)
                  throws org.w3c.dom.DOMException

  Creates a new `RevokeRequest` instance.
Parameters:
  `owner` - The owner document of the new `RevokeRequest`.
  `keyInfo` - The `xkms:RevokeKeyBinding` carried by this `RevokeRequest` message.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setKeyBinding

    public void setKeyBinding(RevokeKeyBinding keyInfo)
                       throws org.w3c.dom.DOMException

  Sets the `xkms:RevokeKeyBinding` child element for this message.
  Parameters:
    `keyInfo` - The `xkms:RevokeKeyBinding` carried by this `RevokeRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyBinding

    public RevokeKeyBinding getKeyBinding()
                                   throws org.w3c.dom.DOMException

  Returns the `xkms:PrototypeKeyBinding` child element for this message or `null` if none is set.
  Returns:
    The `xkms:RevokeKeyBinding` carried by this `RevokeRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### setAuthentication

    public void setAuthentication(Authentication authInfo)
                           throws org.w3c.dom.DOMException

  Sets the `xkms:Authentication` child element for this message.

  Note: This will remove the xkms:RevocationCode element if present.

  Parameters:
    `authInfo` - The `xkms:Authentication` carried by this `RevokeRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### getAuthentication

    public Authentication getAuthentication()

  Returns the `xkms:Authentication` child element for this message or `null` if none is set.
  Returns:
    The `xkms:Authentication` carried by this `RevokeRequest` message.

### setRevocationCode

    public void setRevocationCode(byte[] revocationCode)
                           throws org.w3c.dom.DOMException

  Sets the `xkms:RevocationCode` child element for this message.

  Note: This will remove the xkms:Authentication element if present.

  Parameters:
    `revocationCode` - The `xkms:RvocationCode` bytes carried by this message, which will be Base-64 encoded prior to setting the message content.
  Throws:
    `org.w3c.dom.DOMException`

### getRevocationCode

    public byte[] getRevocationCode()

  Returns the `xkms:RevocationCode` child element for this message or `null` if none is set.
  Returns:
    The `xkms:RevocationCode` carried by this `RevokeRequest` message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.